Loading...
Searching...
No Matches
controlChannelHints_s Struct Reference

This structure holds the parameter hints for control channels. More...

`#include <csound.h>`

## Data Fields

controlChannelBehavior | behav
MYFLT | dflt
MYFLT | min
MYFLT | max
int | x
int | y
int | width
int | height
char * | attributes
| This member must be set explicitly to NULL if not used.

## Detailed Description

This structure holds the parameter hints for control channels.

## Field Documentation

## attributes

char* controlChannelHints_s::attributes

This member must be set explicitly to NULL if not used.

## behav

controlChannelBehavior controlChannelHints_s::behav

## dflt

MYFLT controlChannelHints_s::dflt

## height

int controlChannelHints_s::height

## max

MYFLT controlChannelHints_s::max

## min

MYFLT controlChannelHints_s::min

## width

int controlChannelHints_s::width

## x

int controlChannelHints_s::x

## y

int controlChannelHints_s::y